package com.care.common.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: lilt
 * @Date: 2021/5/30
 * @Desc: 管家
 */
@Data
@ApiModel(value = "管家信息", description = "")
public class ChamberlainVO {

    private Long id;

    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;

    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;

    @ApiModelProperty("状态：1正常；2：休假 3忙碌")
    private String status;
}
