package com.care.common.vo.sysuser;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 安全管家表(CareSysUser)实体类
 *
 * @author makejava
 * @since 2021-05-21 00:08:37
 */

@Data
public class CareSysUserVO implements Serializable {
    private static final long serialVersionUID = -32919685706503729L;

    private Long id;


    @ApiModelProperty("机构ID")
    private Long orgId;


    @ApiModelProperty("服务站ID，角色未坐席时，该字段可能未空")
    private Long stationId;


    @ApiModelProperty("姓名")
    private String name;


    @ApiModelProperty("电话")
    private String phone;


    @ApiModelProperty("password")
    private String password;


    @ApiModelProperty("姓名：M：男 W：女")
    private String gender;


    @ApiModelProperty("状态：1正常；2：休假")
    private String status;


    @ApiModelProperty("经度")
    private Double longitude;


    @ApiModelProperty("纬度")
    private Double latitude;


    @ApiModelProperty("createTime")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    private Date modifyTime;


    @ApiModelProperty("1:坐席 2:管家")
    private String role;


}